Subject: Re: [PATCH 0/3] Win32: nanosecond-precision file times

From: Junio C Hamano <[email-masked]>
Date: Thu, 12 Feb 2015 11:48:26 -0800

Karsten Blees <[email-masked]> writes:

> This patch series was inspired by the problem that Git does not
> detect changed file content if st_size, st_mtime and st_ctime
> are unchanged. This was apparently caused by VSS2Git resetting
> mtime to a value in the past. [1]
>
> I believe (or rather hope) that all involved in the discussion
> agree that Git cannot reasonably be expected to detect changed
> file content if file time(s) are reset on purpose.
>
> However, some users have expressed concerns that 'same size and
> mtime' [2] may theoretically happen by chance in daily operation.

Hmph.

Haven't we already accepted that it is not just "may theoretically
happen" and had counter-measures in racy-git detection machinery
for quite some time?